
#ifndef LUBISHEV_SETTINGS_H
#define LUBISHEV_SETTINGS_H

#include <ui_Settings.h>
#include <QDialog>
#include <QSettings>

namespace lubishev {

class Settings : public QDialog,
                 public Ui::Dialog {
    Q_OBJECT
    public:
        Settings(QWidget *parent, QSettings &set);

    public slots:
        void apply();
        void cancel();
        void ok();
        void onBtn(QAbstractButton *btn);
        void onPath();

    private:
        QSettings &mSet;

};

} // namespace lubishev

#endif // LUBISHEV_SETTINGS_H

